Bug 192943 - installing devel/cvsweb3 fails without share/apache directory
Summary: installing devel/cvsweb3 fails without share/apache directory
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Many People
Assignee: Thomas Zander
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-08-23 14:10 UTC by TsurutaniNaoki
Modified: 2014-10-18 08:50 UTC (History)
3 users (show)

See Also:


Attachments
cvsweb3.diff (1.76 KB, patch)
2014-08-23 14:10 UTC, TsurutaniNaoki
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description TsurutaniNaoki 2014-08-23 14:10:55 UTC
Created attachment 146176 [details]
cvsweb3.diff

installation of devel/cvsweb3 fails.

How-To-Repeat:
% make
	...
	===>   cvsweb3-3.0.6_4 depends on file: /usr/local/bin/perl5.16.3 - found
	===>   Registering installation for cvsweb3-3.0.6_4
	pkg-static: lstat(/usr/ports/devel/cvsweb3/work/stage/usr/local/share/apache/data/): No such file or directory
	pkg-static: lstat(/usr/ports/devel/cvsweb3/work/stage/usr/local/share/apache/): No such file or directory
	*** Error code 74
	 
	Stop in /usr/ports/devel/cvsweb3.
	*** Error code 1
	 
	Stop in /usr/ports/devel/cvsweb3.
Comment 1 John Marino freebsd_committer 2014-08-23 19:59:06 UTC
The submitter attached a fix.  Notify maintainer who has up to 2 weeks to approve it.  No response is equal to approval at the end of two weeks (but please respond earlier if approved)
Comment 2 stb 2014-09-14 14:45:08 UTC
Would someone be so kind to commit the fix? I can confirm that it fixes the problem.
Comment 3 John Marino freebsd_committer 2014-10-08 16:01:22 UTC
This PR timed out long ago, so maintainer approval no longer required.  I'm moving to patch-ready pool.

(stb, by commenting on the PR, you probably restarted the two-week clock which I check by last-changed timestamp)
Comment 4 commit-hook freebsd_committer 2014-10-18 08:45:59 UTC
A commit references this bug:

Author: riggs
Date: Sat Oct 18 08:45:55 UTC 2014
New revision: 371099
URL: https://svnweb.freebsd.org/changeset/ports/371099

Log:
  - Fix install in case share/apache dir is not created prior to installtion

  PR:		192943
  Submitted by:	turutani@scphys.kyoto-u.ac.jp
  Approved by:	maintainer timeout

Changes:
  head/devel/cvsweb3/Makefile
  head/devel/cvsweb3/pkg-plist